Skip to content
Snippets Groups Projects
Unverified Commit 9ac25d35 authored by Varac's avatar Varac
Browse files

Retry taiko tests multiple times until they succeed

parent 403c15cb
No related branches found
No related tags found
No related merge requests found
......@@ -26,6 +26,7 @@ include:
echo "KANIKO_BUILD_IMAGENAME: $KANIKO_BUILD_IMAGENAME"
echo "KANIKO build image ref: ${CI_REGISTRY_IMAGE}/${KANIKO_BUILD_IMAGENAME}:${CI_CONTAINER_TAG}"
echo "SSH_KEY_ID: $SSH_KEY_ID"
echo "SHELL $SHELL"
echo
[ -d $CLUSTER_DIR ] && find $CLUSTER_DIR || echo "directory ${CLUSTER_DIR} not found"
echo
......@@ -863,18 +864,28 @@ kube-prometheus-stack-alerts:
.taiko:
stage: integration-test
script:
before_script:
- *debug_information
# Run the taiko tests for specific app
- unbuffer python3 -m openappstack $HOSTNAME test --apps $RESOURCE | ts -i | ts
retry: 2
script:
# Retry taiko tests multiple times until they succeed
- |
set -o pipefail
i=0
until unbuffer python3 -m openappstack $HOSTNAME test --apps $RESOURCE | ts -i | ts
do
if [[ $i -ge 20 ]]
then
exit 1
fi
(( i++ ))
sleep 1
echo -e "${i}. retry:\n"
done
artifacts:
paths:
- test/taiko/Screenshot*
expire_in: 1 month
when: on_failure
extends:
- .ssh_setup
interruptible: true
grafana-taiko:
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment